Package org.springframework.transaction.config

# Class JtaTransactionManagerBeanDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
org.springframework.transaction.config.JtaTransactionManagerBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class JtaTransactionManagerBeanDefinitionParser extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
Parser for the <tx:jta-transaction-manager/> XML configuration element.

Since:
  2.5
Author:
  Juergen Hoeller, Christian Dupuis

## Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`JtaTransactionManagerBeanDefinitionParser()`

## Method Summary

Modifier and Type
Method
Description
`protected Class<?>`
`getBeanClass(Element element)`
`protected String`
`resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JtaTransactionManagerBeanDefinitionParser

public JtaTransactionManagerBeanDefinitionParser()

## Method Details

### getBeanClass

protected Class<?> getBeanClass(Element element)

Overrides:
  `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

### resolveId

protected String resolveId(Element element, org.springframework.beans.factory.support.AbstractBeanDefinition definition, org.springframework.beans.factory.xml.ParserContext parserContext)

Overrides:
  `resolveId` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`